Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 459305 - %lang tagging
Summary: %lang tagging
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libgweather
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Winship
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-15 21:43 UTC by Matthias Clasen
Modified: 2008-10-14 18:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-14 18:02:44 UTC
Type: ---


Attachments (Terms of Use)
%lang'ify Locations.*.xml (1.34 KB, patch)
2008-08-22 18:38 UTC, Ville Skyttä
no flags Details | Diff

Description Matthias Clasen 2008-08-15 21:43:49 UTC
Now that libgweather ships the xml split per language (yay !), it would be a nice touch to add proper %lang tags to the file list, so that hypothetical localized spins can reap the benefits of the split. Actually, it may already benefit our regular livecd spin, since that also uses a reduced list of supported languages.

Comment 1 Ville Skyttä 2008-08-22 18:38:35 UTC
Created attachment 314827 [details]
%lang'ify Locations.*.xml

Incidentally, I did this about a week ago, see attached patch.

It also contains an unrelated hunk which moves xsltproc from %install to %build where it is IMO better placed, as well as uses xmllint --noblanks to do the whitespace reduction which also feels better than editing XML with sed (although it's pretty trivial in this case).

Comment 2 Dan Winship 2008-08-22 19:43:34 UTC
Ah, cool. I tried to do this earlier in the week, but no cvs...

I don't really know rpmspec-ese, so I can't say if this is right, although just looking at the diff, I think this part:

+xsltproc %{SOURCE1} data/Locations.xml > data/loc.xml
+xmllint --noblanks data/loc.xml > data/Locations.xml

(which you moved from install-time to make-time) is irrelevant now, because libgweather does --noblanks itself in 2.24.

Comment 3 Ville Skyttä 2008-08-23 09:18:33 UTC
Seems so indeed, already in 2.23.6.

Comment 4 Dan Winship 2008-10-14 18:02:44 UTC
Matthias committed this a while ago


Note You need to log in before you can comment on or make changes to this bug.